body
{
    background-color: #d2e7f3;
    align-items: center;
    justify-content: center;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

header
{
    font-size: 24px;
    text-align: center;
    background-image: linear-gradient(rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0.5)), url("bbskyline.jpeg"); /*from gemini to lay a white transparent layer over the image w/o affecting text*/
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    padding: 15px;
    font-family: 'Times New Roman', Times, serif;
}

h1
{
    color: #bf0d3e;
    text-align: center;
    font-family: 'Times New Roman', Times, serif;
}

h2
{
    color: navy;
    text-align: center;
    font-family: 'Times New Roman', Times, serif;                                                                                                                                          ;
}

b
{
    color: navy;
    font-size: 16pt;
}


/*menu bar*/
.navbar {
    background-color: #fefbea;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  /* links inside of the menu bar */
  .navbar a {
    font-family: Didot, serif;
      font-size: 20px;
      font-weight: bold;
      color: #bf0d3e;
    text-align: center;
    align-items: center;
    padding: 14px 16px;
    text-decoration: none;
  }

  .navbar a.active {
    background-color: #bf0d3e; 
    color: #fefbea;           
    border-radius: 8px;       
  }

/*project page specifications*/
.textbox li {
    font-size: 14pt;
    color:#040429;
}

/*about me page specifications*/
/*help from stack overflow!*/
.AMimageandstatement
{
    display: flex;
    align-items: center;
    gap: 20px;
    justify-content: center; /*center horizontally on the screen*/
    margin-top: 50px;
}

.text-column {
    display: flex;
    flex-direction: column; /* stacks text boxes vertically */
    gap: 15px; 
    width: 50%;
}

.textbox {
    padding: 15px;
    background-color: #fefbea;
    border-radius: 8px;
    border: 1px solid #ddd; 
}

.textbox p
{
    color: #040429;
    font-size: 14pt;
}

.resume
{
    margin-top: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}


/*blog page*/
.blogpost
{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 100%;
}

.blogpost p
{
    color:#040429;
    max-width: 70%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 15px;
    margin-bottom: 50px;
    line-height: 1.6;
    font-size: 14pt;
}

.blogpost h3
{
    color: navy;
    background-color: #fefbea;
    border-radius: 8px;
}

.blogimage
{
    display: flex;
    align-items: center;
    gap: 20px;
    justify-content: center; /*center horizontally on the screen*/
    margin-top: 10px;
    margin-bottom: 50px;
}